Skip to main content
GET
/
base
/
{baseId}
/
workflow
/
{workflowId}
/
run
/
{runId}
cURL
curl --request GET \
  --url https://app.teable.ai/api/base/%7BbaseId%7D/workflow/%7BworkflowId%7D/run/%7BrunId%7D \
  --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
[
  {
    "id": "<string>",
    "status": "success",
    "nodeId": "<string>",
    "nodeType": "<string>",
    "nodeCategory": "<string>",
    "createdTime": "<string>",
    "nodeName": "<string>",
    "testedTime": "<string>",
    "spent": 123,
    "inputRaw": null,
    "outputRaw": null,
    "inputVariables": {},
    "outputVariables": {},
    "errorMsg": "<string>"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

baseId
string
required
workflowId
string
required
runId
string
required

Response

200 - application/json

Successful response

id
string
required

id of the step

status
enum<string>
required
Available options:
success,
failed,
running,
canceled,
pending
nodeId
string
required

id of the node

nodeType
string
required

type of the node

nodeCategory
string
required

node category

createdTime
string
required

time when the step was created

nodeName
string

node name

testedTime
string

time when the node was tested

spent
number

spent time

inputRaw
unknown
outputRaw
unknown
inputVariables
object

The variables snapshot when executed

outputVariables
object

The variables snapshot when executed

errorMsg
string
Last modified on March 5, 2026